// This file is part of MultiVnc-Qt.  MultiVnc-Qt is copyright 2012-2022
// by Robert W. Babcock and WSS Division of DDC and is distributed under
// the terms of the GNU General Public License.  Contact the author at
// wssddc@wssddc.com or see the project web page at
// <https://www.wssddc.com/multivnc/>.
//
// MultiVnc-Qt uses the open source Qt toolkit from the Qt Project
// (qt-project.org) and The Qt Company (www.qt.io).
//
// MultiVnc-Qt is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// MultiVnc-Qt is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with MultiVnc-Qt.  If not, see <https://www.gnu.org/licenses/>.

#ifndef INDIVIDUALSETTINGS_H
#define INDIVIDUALSETTINGS_H

#include <QDialog>
#include <QButtonGroup>

namespace Ui {
	class IndividualSettings;
	}

class IndividualSettings : public QDialog
	{
	Q_OBJECT

public:
	explicit IndividualSettings(QWidget *parent = nullptr);
	~IndividualSettings() override;

private:
	Ui::IndividualSettings *ui;
	void restoreSettings();
	void updatePwOption();
	int mytask;
	QButtonGroup *viewType;
	QButtonGroup *vncCredType;
	QButtonGroup *warningType;

public slots:
	void slot_setTask(int taskno);

private slots:
	void slot_closeClicked();
	void slot_saveClicked();
	void slot_clearSettingsClicked();
	};

#endif // INDIVIDUALSETTINGS_H
