// This file is part of MultiVnc-Qt.  MultiVnc-Qt is copyright 2012-2022
// by Robert W. Babcock and WSS Division of DDC and is distributed under
// the terms of the GNU General Public License.  Contact the author at
// wssddc@wssddc.com or see the project web page at
// <https://www.wssddc.com/multivnc/>.
//
// MultiVnc-Qt uses the open source Qt toolkit from the Qt Project
// (qt-project.org) and The Qt Company (www.qt.io).
//
// MultiVnc-Qt is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// MultiVnc-Qt is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with MultiVnc-Qt.  If not, see <https://www.gnu.org/licenses/>.

#include <QString>
#include <QHostAddress>
#include <QtEndian>

// Format an ip V4 address for human viewing.
// Bytes in ipaddr are initially in reverse order.
QString IPtoQString(unsigned long ipaddr)
	{
	return QHostAddress(qFromBigEndian<quint32>(ipaddr)).toString();
//	struct {
//		union
//			{
//			struct { unsigned char c1,c2,c3,c4; } chars;
//			unsigned long all;
//			} ip;
//		} byteforward, bytebackward;

//	bytebackward.ip.all = ipaddr;
//	byteforward.ip.chars.c4 = bytebackward.ip.chars.c1;
//	byteforward.ip.chars.c3 = bytebackward.ip.chars.c2;
//	byteforward.ip.chars.c2 = bytebackward.ip.chars.c3;
//	byteforward.ip.chars.c1 = bytebackward.ip.chars.c4;
//	return QHostAddress(byteforward.ip.all).toString();
	}
