// This file is part of MultiVnc-Qt.  MultiVnc-Qt is copyright 2012-2022
// by Robert W. Babcock and WSS Division of DDC and is distributed under
// the terms of the GNU General Public License.  Contact the author at
// wssddc@wssddc.com or see the project web page at
// <https://www.wssddc.com/multivnc/>.
//
// MultiVnc-Qt uses the open source Qt toolkit from the Qt Project
// (qt-project.org) and The Qt Company (www.qt.io).
//
// MultiVnc-Qt is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// MultiVnc-Qt is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with MultiVnc-Qt.  If not, see <https://www.gnu.org/licenses/>.

#ifndef TEXTVIEWER_H
#define TEXTVIEWER_H

#include <QMainWindow>

namespace Ui {
	class textViewer;
	}

class textViewer : public QMainWindow
	{
	Q_OBJECT

public:
	explicit textViewer(QString title, QWidget *parent = nullptr);
	~textViewer() override;
	void scrollTop();
	void setSizeSaving(bool saveit);

public:
	Ui::textViewer *ui;

private:
	QFont *FontTv;
	bool saveSize;

private slots:
	void slot_closeClicked();
	void slot_saveSettings();
	void restoreSettings();
	void slot_fontClicked();
	};

#endif // TEXTVIEWER_H
